Bug 817783 - [abrt] yum-3.4.3-23.fc16: __init__.py:6044:load_ts:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc4 in position 20: ordinal not in range(128)
Summary: [abrt] yum-3.4.3-23.fc16: __init__.py:6044:load_ts:UnicodeDecodeError: 'ascii...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Packaging Toolset Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a6f655bb7f8a956d62efc6fe173...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-01 09:43 UTC by Jerzy Spendel
Modified: 2014-01-21 23:21 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 20:50:45 UTC
Type: ---


Attachments (Terms of Use)

Description Jerzy Spendel 2012-05-01 09:43:13 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/yum load-transaction /tmp/yum_save_tx.2012-05-01.11-38.FfxNth.yumtx
comment:        I don't really now, but this command "yum load-transaction /tmp/yum_save_tx.2012-05-01.11-38.FfxNth.yumtx" worked when I added "sudo". It shoudn't return so much errors because of lack of simple "sudo".
executable:     /usr/bin/yum
kernel:         3.1.0-7.fc16.x86_64
reason:         __init__.py:6044:load_ts:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc4 in position 20: ordinal not in range(128)
time:           wto, 1 maj 2012, 11:38:49
uid:            1000
username:       jerzy

backtrace:
:__init__.py:6044:load_ts:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc4 in position 20: ordinal not in range(128)
:
:Traceback (most recent call last):
:  File "/usr/bin/yum", line 29, in <module>
:    yummain.user_main(sys.argv[1:], exit_code=True)
:  File "/usr/share/yum-cli/yummain.py", line 321, in user_main
:    errcode = main(args)
:  File "/usr/share/yum-cli/yummain.py", line 146, in main
:    result, resultmsgs = base.doCommands()
:  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
:    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
:  File "/usr/share/yum-cli/yumcommands.py", line 2831, in doCommand
:    base.load_ts(load_file)
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 6044, in load_ts
:    raise Errors.YumBaseError(_("Could not access/read saved transaction %s : %s") % (filename, str(e)))
:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc4 in position 20: ordinal not in range(128)
:
:Local variables in innermost frame:
:ignorerpm: None
:self: <cli.YumBaseCli object at 0x171d6d0>
:filename: '/tmp/yum_save_tx.2012-05-01.11-38.FfxNth.yumtx'
:e: IOError(13, 'Brak dost\xc4\x99pu')
:ignoremissing: None

event_log:
:2012-05-01-11:39:09> Smolt profile successfully saved
:2012-05-01-11:42:50> Smolt profile successfully saved

smolt_data:
:
:
:Ogólne
:=================================
:UUID: 8ab5e2ad-50cc-405f-92bb-b50b7619b647
:System operacyjny: Fedora release 16 (Verne)
:Domyślny poziom uruchamiania: Unknown
:Język: pl_PL.utf8
:Platforma: x86_64
:BogoMIPS: 5386.79
:Producent procesora: AuthenticAMD
:Model procesora: AMD Athlon(tm) 64 X2 Dual Core Processor 5200+
:Stepping procesora: 2
:Rodzina procesora: 15
:Numer modelu procesora: 107
:Liczba procesorów: 2
:Prędkość procesora: 2700
:Pamięć systemu: 3956
:Przestrzeń wymiany systemu: 0
:Producent: System manufacturer
:System: System Product Name System Version
:Konstrukcja płyty głównej: Desktop
:Jądro: 3.1.0-7.fc16.x86_64
:SELinux jest włączony: 1
:Polityka SELinuksa: targeted
:Wymuszanie SELinuksa: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Urządzenia
:=================================
:(4098:30998:4163:33480) pci, pcieport, PCI/PCI, RS690 PCI to PCI Bridge (PCI Express Port 2)
:(4098:30999:4163:33480) pci, pcieport, PCI/PCI, RS690 PCI to PCI Bridge (PCI Express Port 3)
:(4098:43608:4163:43608) pci, snd_hda_intel, MULTIMEDIA, Juniper HDMI Audio [Radeon HD 5700 Series]
:(4098:17290:4163:33416) pci, ohci_hcd, USB, SB600 USB (OHCI3)
:(4098:30992:4163:33480) pci, None, HOST/PCI, RS690 Host Bridge
:(4098:17292:4163:33416) pci, pata_atiixp, STORAGE, SB600 IDE
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4098:17280:4163:33416) pci, ahci, STORAGE, SB600 Non-Raid-5 SATA
:(6505:4168:4163:33318) pci, atl1, ETHERNET, P5KPL-VM Motherboard
:(4098:30995:4163:33480) pci, pcieport, PCI/PCI, RS690 PCI to PCI Bridge (PCI Express Graphics Port 0)
:(4098:17285:4163:33416) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17293:4163:33416) pci, None, PCI/ISA, SB600 PCI to LPC Bridge
:(4098:17283:4163:33424) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17289:4163:33416) pci, ohci_hcd, USB, SB600 USB (OHCI2)
:(4098:26808:4163:836) pci, radeon, VIDEO, Juniper [Radeon HD 5700 Series]
:(4098:17287:4163:33416) pci, ohci_hcd, USB, SB600 USB (OHCI0)
:(4098:17288:4163:33416) pci, ohci_hcd, USB, SB600 USB (OHCI1)
:(4098:17291:4163:33416) pci, ohci_hcd, USB, SB600 USB (OHCI4)
:(4098:17286:4163:33416) pci, ehci_hcd, USB, SB600 USB Controller (EHCI)
:(6164:1537:5943:103) pci, rt2800pci, NETWORK, RT2800 802.11n PCI
:
:
:Informacje o systemie plików
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 7174689 2963485 2890620 1826816 1497394 1497394
:

Comment 1 Fedora End Of Life 2013-01-16 16:48:55 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora End Of Life 2013-02-13 20:50:48 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.